Problem loading R packages on MacBook Pro
1
0
Entering edit mode
Brendon • 0
@7702478d
Last seen 12 months ago
South Africa

Hi everyone

I am new to using MacOS for R packages. I have recently purchased a MacBook Pro M1 with BigSur OS. My initial attempts to just use R were met with frustration and so I have done some reading in forums and taken advice. To date I have:

  1. Downloaded and installed Xcode
  2. Downloaded and install Xquartz
  3. Downloaded gcc via home-brew

When I try and load R packages e.g. ChAMP, RnBeads I get the following error message:

Warning: unable to access index for repository https://bioconductor.org/packages/3.14/books/bin/macosx/big-sur-arm64/contrib/4.1: cannot open URL 'https://bioconductor.org/packages/3.14/books/bin/macosx/big-sur-arm64/contrib/4.1/PACKAGES'

Additionally when I enter warnings(), I get:

1: package(s) not installed when version(s) same as current; use force = TRUE to re-install: 'ChAMPdata' 'Illumina450ProbeVariants.db' 'limma' 'RPMM' 'marray' 'plyr' 'GenomicRanges' 'qvalue' 'isva' 'doParallel' 'quadprog' 'shiny' 'shinythemes' 'plotly' 'RColorBrewer' 'dendextend' 'matrixStats' 'combinat' 2: In .inet_warning(msg) : packages ‘RefFreeEWAS’, ‘FEM’ are not available for Bioconductor version '3.14'

Versions of these packages for your version of R might be available elsewhere, see the ideas at https://cran.r-project.org/doc/manuals/r-patched/R-admin.html#Installing-packages 3: In .inet_warning(msg) : unable to access index for repository https://bioconductor.org/packages/3.14/bioc/bin/macosx/big-sur-arm64/contrib/4.1: cannot open URL 'https://bioconductor.org/packages/3.14/bioc/bin/macosx/big-sur-arm64/contrib/4.1/PACKAGES' 4: In .inet_warning(msg) : unable to access index for repository https://bioconductor.org/packages/3.14/data/annotation/bin/macosx/big-sur-arm64/contrib/4.1: cannot open URL 'https://bioconductor.org/packages/3.14/data/annotation/bin/macosx/big-sur-arm64/contrib/4.1/PACKAGES' 5: In .inet_warning(msg) : unable to access index for repository https://bioconductor.org/packages/3.14/data/experiment/bin/macosx/big-sur-arm64/contrib/4.1: cannot open URL 'https://bioconductor.org/packages/3.14/data/experiment/bin/macosx/big-sur-arm64/contrib/4.1/PACKAGES' 6: In .inet_warning(msg) : unable to access index for repository https://bioconductor.org/packages/3.14/workflows/bin/macosx/big-sur-arm64/contrib/4.1: cannot open URL 'https://bioconductor.org/packages/3.14/workflows/bin/macosx/big-sur-arm64/contrib/4.1/PACKAGES' 7: In .inet_warning(msg) : unable to access index for repository https://bioconductor.org/packages/3.14/books/bin/macosx/big-sur-arm64/contrib/4.1: cannot open URL 'https://bioconductor.org/packages/3.14/books/bin/macosx/big-sur-arm64/contrib/4.1/PACKAGES' 8: In .inet_warning(msg) : installation of package ‘Rhtslib’ had non-zero exit status 9: In .inet_warning(msg) : installation of package ‘genefilter’ had non-zero exit status 10: In .inet_warning(msg) : installation of package ‘edgeR’ had non-zero exit status 11: In .inet_warning(msg) : installation of package ‘DNAcopy’ had non-zero exit status 12: In .inet_warning(msg) : installation of package ‘preprocessCore’ had non-zero exit status 13: In .inet_warning(msg) : installation of package ‘impute’ had non-zero exit status 14: In .inet_warning(msg) : installation of package ‘affy’ had non-zero exit status 15: In .inet_warning(msg) : installation of package ‘Rsamtools’ had non-zero exit status 16: In .inet_warning(msg) : installation of package ‘sva’ had non-zero exit status 17: In .inet_warning(msg) : installation of package ‘GenomicAlignments’ had non-zero exit status 18: In .inet_warning(msg) : installation of package ‘rtracklayer’ had non-zero exit status 19: In .inet_warning(msg) : installation of package ‘BSgenome’ had non-zero exit status 20: In .inet_warning(msg) : installation of package ‘GenomicFeatures’ had non-zero exit status 21: In .inet_warning(msg) : installation of package ‘TxDb.Hsapiens.UCSC.hg19.knownGene’ had non-zero exit status 22: In .inet_warning(msg) : installation of package ‘VariantAnnotation’ had non-zero exit status 23: In .inet_warning(msg) : installation of package ‘ensembldb’ had non-zero exit status 24: In .inet_warning(msg) : installation of package ‘geneLenDataBase’ had non-zero exit status 25: In .inet_warning(msg) : installation of package ‘bsseq’ had non-zero exit status 26: In .inet_warning(msg) : installation of package ‘bumphunter’ had non-zero exit status 27: In .inet_warning(msg) : installation of package ‘FDb.InfiniumMethylation.hg19’ had non-zero exit status 28: In .inet_warning(msg) : installation of package ‘biovizBase’ had non-zero exit status 29: In .inet_warning(msg) : installation of package ‘DSS’ had non-zero exit status 30: In .inet_warning(msg) : installation of package ‘minfi’ had non-zero exit status 31: In .inet_warning(msg) : installation of package ‘goseq’ had non-zero exit status 32: In .inet_warning(msg) : installation of package ‘methylumi’ had non-zero exit status 33: In .inet_warning(msg) : installation of package ‘IlluminaHumanMethylation450kanno.ilmn12.hg19’ had non-zero exit status 34: In .inet_warning(msg) : installation of package ‘Gviz’ had non-zero exit status 35: In .inet_warning(msg) : installation of package ‘IlluminaHumanMethylationEPICanno.ilm10b4.hg19’ had non-zero exit status 36: In .inet_warning(msg) : installation of package ‘IlluminaHumanMethylation450kmanifest’ had non-zero exit status 37: In .inet_warning(msg) : installation of package ‘IlluminaHumanMethylationEPICmanifest’ had non-zero exit status 38: In .inet_warning(msg) : installation of package ‘lumi’ had non-zero exit status 39: In .inet_warning(msg) : installation of package ‘missMethyl’ had non-zero exit status 40: In .inet_warning(msg) : installation of package ‘wateRmelon’ had non-zero exit status 41: In .inet_warning(msg) : installation of package ‘DMRcate’ had non-zero exit status

Is the problem here due to differences in versions of R or do I still need to download/install some fundamental program? I am a medical specialist (pathologist) with rudimentary coding experience.

Thanks very much in advance!

Brendon ```

newpackage ChAMP • 4.9k views
ADD COMMENT
3
Entering edit mode
@herve-pages-1542
Last seen 1 day ago
Seattle, WA, United States

Hi,

It looks like you've installed the R binary for Apple silicon arm64 (R-4.1.2-arm64.pkg). This makes everything complicated because Bioconductor does not provide binary packages for this architecture. You should install the R binary for Intel 64-bit instead (R-4.1.2.pkg) and everything will work out-of-the-box. You won't even need Xcode or to install gcc via brew if you do that.

Hope this helps,

H.

ADD COMMENT
0
Entering edit mode

Dear Hervé

Thank you very much for your suggestion - it worked!

ADD REPLY
0
Entering edit mode

Thanks a lot I spend a day figuring out what was the problem. it worked

ADD REPLY
0
Entering edit mode

Thank you so much! You saved my day.

ADD REPLY

Login before adding your answer.

Traffic: 613 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6